[ Index ]

PHP Cross Reference of Documentation Drupal

title

Body

[close]

/ -> install.php (source)

   1  <?php
   2  
   3  /**
   4   * @file
   5   * Initiates a browser-based installation of Drupal.
   6   */
   7  
   8  /**
   9   * Root directory of Drupal installation.
  10   */
  11  define('DRUPAL_ROOT', getcwd());
  12  
  13  /**
  14   * Global flag to indicate that site is in installation mode.
  15   */
  16  define('MAINTENANCE_MODE', 'install');
  17  
  18  // Exit early if running an incompatible PHP version to avoid fatal errors.
  19  if (version_compare(PHP_VERSION, '5.2.4') < 0) {
  20    print 'Your PHP installation is too old. Drupal requires at least PHP 5.2.4. See the <a href="http://drupal.org/requirements">system requirements</a> page for more information.';
  21    exit;
  22  }
  23  
  24  // Start the installer.
  25  require_once  DRUPAL_ROOT . '/includes/install.core.inc';
  26  install_drupal();


Développeurs Drupal & Développement mobile Montréal
Generated: Thu Feb 21 17:10:26 2013 Cross-referenced by PHPXref 0.7.1